#
#  FILE NAME:
#      http.py
#
#  AUTHOR(S):
#      Dariusz Walczak <dariusz.walczak@gmail.com>
#


class HttpResponse( object ):
    class status_codes:
        ok        = 200
        redirect  = 302
        forbidden = 403
        internal  = 500

    rfc2616_status_codes = (
        100, 101,
        status_codes.ok, 201, 202, 203, 204, 205, 206,
        300, 301, status_codes.redirect, 303, 304, 305, 306, 307,
        400, 401, 402, status_codes.forbidden, 404, 405, 406, 407, 408, 409, 410, 411, 412, 413,
        414, 415, 416, 417,
        status_codes.internal, 501, 502, 503, 504, 505 )

    def __init__( self ):
        self._status_code = self.status_codes.ok
        ## \note Cookies are expected to be Cookie.Morsel like objects.
        self.cookies = []


    # ===[ Properties ]========================================================================== #

    def status_code():
        def fget( self ):
            return self._status_code
        def fset( self, code ):
            assert code in self.rfc2616_status_codes
            self._status_code = code
        return locals()
    status_code = property( **status_code() )
