#
#  FILE NAME:
#      morsel_helpers.py
#
#  AUTHOR(S):
#      Dariusz Walczak <dariusz.walczak@gmail.com>
#

# Standard library imports:
import Cookie
import logging


_LOG = logging.getLogger( "p3.web" )


## Create Cookie.Morsel object from provided attributes. kwargs may be one of following:
#   expires, path, comment, domain, max-age, secure, version, httponly
#  @see http://docs.python.org/2/library/cookie.html#Cookie.Morsel
#  @see http://tools.ietf.org/html/rfc2109.html
#
# @todo Add support for value encoding.
def create_morsel( key, value, **kwargs ):
    m = Cookie.Morsel()
    m.key = key
    m.value = value

    for k,v in kwargs.items():
        assert k in Cookie.Morsel._reserved

        m[k] = v

    return m
